<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (1.8.0_241) on Wed Apr 15 17:44:52 EEST 2020 -->
<title>I-Index</title>
<meta name="date" content="2020-04-15">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="I-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">B</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">U</a>&nbsp;<a name="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><span class="memberNameLink"><a href="../businesslogic/ClientBLL.html#insertClient-model.Client-">insertClient(Client)</a></span> - Static method in class businesslogic.<a href="../businesslogic/ClientBLL.html" title="class in businesslogic">ClientBLL</a></dt>
<dd>
<div class="block">Aceasta metoda are rolul de a insera un client apeland metoda corespunzatoare din ClientDAO.</div>
</dd>
<dt><span class="memberNameLink"><a href="../databaseaccess/ClientDAO.html#insertClient-model.Client-">insertClient(Client)</a></span> - Static method in class databaseaccess.<a href="../databaseaccess/ClientDAO.html" title="class in databaseaccess">ClientDAO</a></dt>
<dd>
<div class="block">Metoda care se ocupa de inserarea unui client in tabela Clients.</div>
</dd>
<dt><a href="../exception/InsertionFailedException.html" title="class in exception"><span class="typeNameLink">InsertionFailedException</span></a> - Exception in <a href="../exception/package-summary.html">exception</a></dt>
<dd>
<div class="block">Clasa de tip Exception, folosita atunci cand apare o eroare la o operatie de tip Insert</div>
</dd>
<dt><span class="memberNameLink"><a href="../exception/InsertionFailedException.html#InsertionFailedException-java.lang.String-">InsertionFailedException(String)</a></span> - Constructor for exception exception.<a href="../exception/InsertionFailedException.html" title="class in exception">InsertionFailedException</a></dt>
<dd>
<div class="block">Constructorul clasei</div>
</dd>
<dt><span class="memberNameLink"><a href="../businesslogic/OrderBLL.html#insertOrder-model.Order-">insertOrder(Order)</a></span> - Static method in class businesslogic.<a href="../businesslogic/OrderBLL.html" title="class in businesslogic">OrderBLL</a></dt>
<dd>
<div class="block">Aceasta metoda are rolul de a insera o comanda apeland metoda corespunzatoare din OrderDAO.</div>
</dd>
<dt><span class="memberNameLink"><a href="../databaseaccess/OrderDAO.html#insertOrder-model.Order-">insertOrder(Order)</a></span> - Static method in class databaseaccess.<a href="../databaseaccess/OrderDAO.html" title="class in databaseaccess">OrderDAO</a></dt>
<dd>
<div class="block">Metoda care se ocupa de inserarea unei comenzi in tabela Orders</div>
</dd>
<dt><span class="memberNameLink"><a href="../businesslogic/OrderItemBLL.html#insertOrderItem-model.OrderItem-">insertOrderItem(OrderItem)</a></span> - Static method in class businesslogic.<a href="../businesslogic/OrderItemBLL.html" title="class in businesslogic">OrderItemBLL</a></dt>
<dd>
<div class="block">Aceasta metoda are rolul de a insera o comanda in tabela OrderItem.</div>
</dd>
<dt><span class="memberNameLink"><a href="../databaseaccess/OrderItemDAO.html#insertOrderItem-model.OrderItem-">insertOrderItem(OrderItem)</a></span> - Static method in class databaseaccess.<a href="../databaseaccess/OrderItemDAO.html" title="class in databaseaccess">OrderItemDAO</a></dt>
<dd>
<div class="block">Metoda care se ocupa cu inserarea unei comenzi in tabela OrderItem</div>
</dd>
<dt><span class="memberNameLink"><a href="../businesslogic/ProductBLL.html#insertProduct-model.Product-">insertProduct(Product)</a></span> - Static method in class businesslogic.<a href="../businesslogic/ProductBLL.html" title="class in businesslogic">ProductBLL</a></dt>
<dd>
<div class="block">Aceasta metoda are rolul de a insera un produs apeland metoda corespunzatoare din ProductDAO.</div>
</dd>
<dt><span class="memberNameLink"><a href="../databaseaccess/ProductDAO.html#insertProduct-model.Product-">insertProduct(Product)</a></span> - Static method in class databaseaccess.<a href="../databaseaccess/ProductDAO.html" title="class in databaseaccess">ProductDAO</a></dt>
<dd>
<div class="block">Metoda care se ocupa cu inserarea unui produs in tabel</div>
</dd>
</dl>
<a href="index-1.html">B</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">U</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
